@import '~/assets/base/variables';

.v-tab {
  &__header {
    @media only screen and (max-width: $xs) {
      &::-webkit-scrollbar {
        height: 0px;
      }

      &:hover::-webkit-scrollbar-thumb {
        background: none;
        height: 0px;
      }
    }

    &--body {
      height: 100%;
      display: flex;
      gap: 8px;
      align-items: center;
      justify-content: flex-start;
      width: max-content;
      padding: 12px 8px;
      border-radius: 16px;

      @media only screen and (min-width: $s) {
        gap: 1rem;
        padding: 16px 24px;
      }
    }
  }

  &__item {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 8px 12px;
    cursor: pointer;
    transition: color .2s linear, border-color .2s linear;
    user-select: none;
    color: $c-gray-text;

    @media only screen and (min-width: $s) {
      padding: 16px 24px;
    }

    &:hover {
      color: $c-primary;
    }

    &:active {
      color: $c-primary;
    }

    &--active {
      background: $c-primary;
      color: $c-white;
      border-bottom: 1px solid $c-primary;

      &:hover {
        color: $c-white;
      }
    }

    &--disabled {
      pointer-events: none;
      color: $c-line;
      border-color: $c-line;
    }
  }

  &__body {
    margin-top: 24px;
  }
}
